<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{1C0E27D6-B516-4D30-B559-C9097476DEEC}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>JL.iHDIS.OPS.Tool</RootNamespace>
    <AssemblyName>JL.iHDIS.OPS.Tool</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>2</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>app1.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <TargetZone>LocalIntranet</TargetZone>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>false</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup />
  <PropertyGroup />
  <PropertyGroup />
  <PropertyGroup>
    <ApplicationManifest>Properties\app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CSkin">
      <HintPath>Resource\CSkin.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.QualityTools.Testing.Fakes, Version=12.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="Renci.SshNet, Version=2016.1.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Resource\Renci.SshNet.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Resource\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Web">
      <HintPath>C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\System.Web.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Helper\Const.cs" />
    <Compile Include="Helper\Convetdata.cs" />
    <Compile Include="Helper\DESHelper.cs" />
    <Compile Include="Helper\EnvPathHelper.cs" />
    <Compile Include="Helper\HttpHelper.cs" />
    <Compile Include="Helper\LoadingHelper.cs" />
    <Compile Include="Helper\CmdHelper.cs" />
    <Compile Include="Helper\ShareDirHelper.cs" />
    <Compile Include="Helper\SSHHelper.cs" />
    <Compile Include="Helper\TreeViewCheck.cs" />
    <Compile Include="Model\Config.cs" />
    <Compile Include="Model\Docker.cs" />
    <Compile Include="Model\Image.cs" />
    <Compile Include="Model\Info.cs" />
    <Compile Include="Model\Module.cs" />
    <Compile Include="Model\Server.cs" />
    <Compile Include="Src\LoadingDot.cs" />
    <Compile Include="Src\Login_method.cs" />
    <Compile Include="Src\Main_method.cs" />
    <Compile Include="Helper\SFTPHelper.cs" />
    <Compile Include="Src\MessageBoxEx.cs" />
    <Compile Include="Src\Module_method.cs" />
    <Compile Include="View\Form_About.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Form_About.Designer.cs">
      <DependentUpon>Form_About.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_AddConfig.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_AddConfig.Designer.cs">
      <DependentUpon>Frm_AddConfig.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_Backup.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Backup.Designer.cs">
      <DependentUpon>Frm_Backup.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_Conf.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Conf.Designer.cs">
      <DependentUpon>Frm_Conf.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_DataExport.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_DataExport.Designer.cs">
      <DependentUpon>Frm_DataExport.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step1.Designer.cs">
      <DependentUpon>Frm_DBCompare_Step1.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step3.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step3.Designer.cs">
      <DependentUpon>Frm_DBCompare_Step3.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step2.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_DBCompare_Step2.Designer.cs">
      <DependentUpon>Frm_DBCompare_Step2.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_DbExport.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_DbExport.Designer.cs">
      <DependentUpon>Frm_DbExport.cs</DependentUpon>
    </Compile>
    <Compile Include="View\FrmLoading.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\FrmLoading.Designer.cs">
      <DependentUpon>FrmLoading.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_Lock.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Lock.Designer.cs">
      <DependentUpon>Frm_Lock.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_Main.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Main.Designer.cs">
      <DependentUpon>Frm_Main.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_Moudule.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Moudule.Designer.cs">
      <DependentUpon>Frm_Moudule.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="View\Frm_Login.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_Login.Designer.cs">
      <DependentUpon>Frm_Login.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_MultiEnvironment.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_MultiEnvironment.Designer.cs">
      <DependentUpon>Frm_MultiEnvironment.cs</DependentUpon>
    </Compile>
    <Compile Include="View\Frm_MultiItem.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View\Frm_MultiItem.Designer.cs">
      <DependentUpon>Frm_MultiItem.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="View\Form_About.resx">
      <DependentUpon>Form_About.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_AddConfig.resx">
      <DependentUpon>Frm_AddConfig.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Backup.resx">
      <DependentUpon>Frm_Backup.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Conf.resx">
      <DependentUpon>Frm_Conf.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_DataExport.resx">
      <DependentUpon>Frm_DataExport.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_DBCompare_Step1.resx">
      <DependentUpon>Frm_DBCompare_Step1.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_DBCompare_Step3.resx">
      <DependentUpon>Frm_DBCompare_Step3.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_DBCompare_Step2.resx">
      <DependentUpon>Frm_DBCompare_Step2.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_DbExport.resx">
      <DependentUpon>Frm_DbExport.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\FrmLoading.resx">
      <DependentUpon>FrmLoading.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Lock.resx">
      <DependentUpon>Frm_Lock.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Main.resx">
      <DependentUpon>Frm_Main.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Moudule.resx">
      <DependentUpon>Frm_Moudule.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_Login.resx">
      <DependentUpon>Frm_Login.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_MultiEnvironment.resx">
      <DependentUpon>Frm_MultiEnvironment.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View\Frm_MultiItem.resx">
      <DependentUpon>Frm_MultiItem.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="Config\CompareConfig.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\DBExportConfig.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\Module.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\Win_Module.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Properties\app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resource\CSkin.dll" />
    <EmbeddedResource Include="Resource\Renci.SshNet.dll" />
    <EmbeddedResource Include="Resource\System.ValueTuple.dll" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="Config\ignore.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Config\script.ihdis">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="FluentFTP">
      <Version>28.0.1</Version>
    </PackageReference>
    <PackageReference Include="MarkdownSharp">
      <Version>2.0.5</Version>
    </PackageReference>
    <PackageReference Include="MySql.Data">
      <Version>6.9.12</Version>
    </PackageReference>
    <PackageReference Include="Newtonsoft.Json">
      <Version>12.0.2</Version>
    </PackageReference>
    <PackageReference Include="SharpZipLib">
      <Version>1.2.0</Version>
    </PackageReference>
    <PackageReference Include="YamlDotNet">
      <Version>12.0.1</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Image1.png" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="app1.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties config_4win_3module_1json__JsonSchema="http://json.schemastore.org/clasp" />
    </VisualStudio>
  </ProjectExtensions>
</Project>